org.bdgenomics.adam.cli

# ADAM2FastqArgs

###
Related Doc: package cli

#### class ADAM2FastqArgs extends Args4jBase with ParquetLoadSaveArgs

Linear Supertypes
ParquetLoadSaveArgs, SaveFileArgs, LoadFileArgs, ParquetSaveArgs, SaveArgs, ParquetArgs, ParquetRDDArgs, Args4jBase, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ADAM2FastqArgs
2. ParquetLoadSaveArgs
3. SaveFileArgs
4. LoadFileArgs
5. ParquetSaveArgs
6. SaveArgs
7. ParquetArgs
8. ParquetRDDArgs
9. Args4jBase
10. AnyRef
11. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ADAM2FastqArgs()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ParquetRDDArgs

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### var compressionCodec: CompressionCodecName

   Definition Classes
     ParquetArgs → ParquetRDDArgs

8. #### var disableDictionaryEncoding: Boolean

   Definition Classes
     ParquetArgs → ParquetRDDArgs

9. #### var disableProjection: Boolean

10. #### var doPrintUsage: Boolean

    Definition Classes
      Args4jBase

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### var inputPath: String

    Definition Classes
      LoadFileArgs

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### var logLevel: String

    Definition Classes
      ParquetArgs

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### var outputOriginalBaseQualities: Boolean

23. #### var outputPath: String

    Definition Classes
      SaveFileArgs

24. #### var outputPath2: String

25. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ParquetRDDArgs

26. #### var persistLevel: String

27. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

28. #### var repartition: Int

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### var validationStringency: ValidationStringency

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ParquetLoadSaveArgs

### Inherited from SaveFileArgs

### Inherited from LoadFileArgs

### Inherited from ParquetSaveArgs

### Inherited from SaveArgs

### Inherited from ParquetArgs

### Inherited from ParquetRDDArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped